## org.eclipse.jetty.util
Class IPAddressMap<TYPE>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,TYPE>
              org.eclipse.jetty.util.IPAddressMap<TYPE>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,TYPE>

    public class IPAddressMap<TYPE>

extends java.util.HashMap<java.lang.String,TYPE>

Internet address map to object

Internet addresses may be specified as absolute address or as a combination of four octet wildcard specifications (a.b.c.d) that are defined as follows.

     nnn - an absolute value (0-255)
     mmm-nnn - an inclusive range of absolute values,
               with following shorthand notations:
               nnn- => nnn-255
               -nnn => 0-nnn
               -    => 0-255
     a,b,... - a list of wildcard specifications

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`IPAddressMap()` Construct empty IPAddressMap.
`IPAddressMap(int capacity)` Construct empty IPAddressMap.

Method Summary
`TYPE` `get(java.lang.Object key)` Retrieve the object mapped to the specified internet address literal
`java.lang.Object` `getLazyMatches(java.lang.String addr)` Retrieve a lazy list of map entries associated with specified internet address by taking into account the wildcard specifications.
`java.util.Map.Entry<java.lang.String,TYPE>` `getMatch(java.lang.String addr)` Retrieve the first map entry that is associated with the specified internet address by taking into account the wildcard specifications.
`TYPE` `match(java.lang.String addr)` Retrieve the first object that is associated with the specified internet address by taking into account the wildcard specifications.
`TYPE` `put(java.lang.String addrSpec, TYPE object)` Insert a new internet address into map

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### IPAddressMap

    public IPAddressMap()

  Construct empty IPAddressMap.

### IPAddressMap

    public IPAddressMap(int capacity)

  Construct empty IPAddressMap.

  Parameters:
    `capacity` - initial capacity

Method Detail

### put

    public TYPE put(java.lang.String addrSpec,
                    TYPE object)
             throws java.lang.IllegalArgumentException

  Insert a new internet address into map

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,TYPE>`
  Overrides:
    `put` in class `java.util.HashMap<java.lang.String,TYPE>`
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `HashMap.put(java.lang.Object, java.lang.Object)`

### get

    public TYPE get(java.lang.Object key)

  Retrieve the object mapped to the specified internet address literal

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,TYPE>`
  Overrides:
    `get` in class `java.util.HashMap<java.lang.String,TYPE>`
  See Also:
    `HashMap.get(java.lang.Object)`

### match

    public TYPE match(java.lang.String addr)

  Retrieve the first object that is associated with the specified internet address by taking into account the wildcard specifications.

  Parameters:
    `addr` - internet address
  Returns:
    associated object

### getMatch

    public java.util.Map.Entry<java.lang.String,TYPE> getMatch(java.lang.String addr)

  Retrieve the first map entry that is associated with the specified internet address by taking into account the wildcard specifications.

  Parameters:
    `addr` - internet address
  Returns:
    map entry associated

### getLazyMatches

    public java.lang.Object getLazyMatches(java.lang.String addr)

  Retrieve a lazy list of map entries associated with specified internet address by taking into account the wildcard specifications.

  Parameters:
    `addr` - internet address
  Returns:
    lazy list of map entries

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.